/* @import "./layout.scss"; */

.input-group{
    margin:10px 0;
}

.input-group.has-error input{
    border:1px solid red;
    color:red;
    outline:red;
}

.center{
    display: flex;
    justify-content: center;
    align-items: center;
}

.h-screen{
    height:100vh;
}

.flex-col{
    flex-direction: column;
}

.btn-link{
    font-size:12px;
    color:blue;
    cursor:pointer;
}

.modal-container{
    background-color: rgba(0,0,0,.3);
    position: fixed;
    top:0;
    left:0;
    width:100vw;
    height:100vh;
    display: flex;
    justify-content: center;
    align-items: center;
}
.modal-content{
    padding:10px;
    border-radius: 5px;
    background-color: #fff;
}

.conversation-item:hover{
    background-color: lightgray;
}

.conversation-item.active {
    background-color: blue;
    color: white;
}

.conversation-item{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding:10px 5px;
    margin: 5px 10px;
    cursor: pointer;
    border-radius: 5px;
}

/* layout */
body {
    margin: 0%;
    padding: 8px;
    width: calc(100vw - 16px);
    height: calc(100vh - 16px);
}

.container {
    color: white;
    border-radius: 4px;
    border: 2px solid #414141;
    background-color: #242526;
    width: calc(100vw - 16px);
    height: calc(100vh - 16px);
    display: flex;
}

.nav {
    width: 20%;
    height: calc(100% - 8px);
    border-right: 2px solid #414141;
    padding: 4px;
}

.body {
    width: 80%;
    height: calc(100%);
    display: flex;
    flex-direction: column;
}

.body__title {
    width: calc(100% - 8px);
    height: calc(5% - 8px);
    padding: 4px 4px 2px;
    border-bottom: 2px solid #414141;
    display: flex;
    justify-content: space-between;
}

.body__title div {
    display: flex;
    justify-content: center;
    align-items: center;
}

.body__title button {
    border-radius: 2px;
    border: 2px solid #ffffff;
}

.body__section {
    width: 100%;
    height: 95%;
    display: flex;
}

.section__chat {
    width: calc(70%);
    height: calc(100%);
}

.chat__message {
    padding: 4px; 
    width: calc(100% - 8px);
    height: calc(95% - 8px);
}

.chat__input {
    padding: 4px;
    width: calc(100% - 8px);
    height: calc(5% - 10px);
    border-top: 2px solid #414141;
}

.section__in4 {
    width: calc(30% - 10px);
    height: calc(100% - 8px);
    padding: 4px;
    border-left: 2px solid #414141;
}

.message-item{
    padding:5px;
    border-radius: 5px;
    border:1px solid #ececec;
    background-color: lightgray;
    margin:5px;
}

.message-item > .sender {
    font-size:10px;
    font-style: italic;
    color:#555;
    margin-bottom: 3px;
}

.message-item.my-message{
    background-color:darkblue;
    color:white;
}

.message-item.my-message > .sender{
    color: lightgray;
}
